/*
 * XMC12_IRQ.h
 *
 *  Created on: 30 Jul, 2015
 *      Author: toochang
 */

#ifndef XMC12_IRQ_H_
#define XMC12_IRQ_H_

/*********************************************************************************************************************
 * IRQ Priority list 0 = highest and 63 = lowest
 *
 *		IRQ								Priority		Interrupt handler name
 *********************************************************************************************************************/
#define VADC0_G1_0_IRQn_0					0
#define VADC0_G0_0_IRQn_1					1
#define VADC0_G0_1_IRQn_2					2
#define dummy_3								3
#define dummy_4								4
#define dummy_5								5
#define dummy_6								6
#define dummy_7								7
#define dummy_8								8
#define dummy_9								9
#define dummy_10							10			//VADC_G0_Result_ISR
#define dummy_11							11
#define dummy_12							12
#define dummy_13							13
#define dummy_14							14
#define dummy_15							15
#define dummy_16							16
#define dummy_17							17
#define dummy_18							18
#define dummy_19							19

#define dummy_20							20
#define dummy_21							21
#define dummy_22							22
#define dummy_23							23
#define dummy_24							24
#define dummy_25							25
#define dummy_26							26
#define dummy_27							27
#define dummy_28							28
#define dummy_29							29

#define dummy_30							30
#define dummy_31							31
#define dummy_32							32
#define dummy_33							33
#define dummy_34							34
#define dummy_35							35
#define dummy_36							36
#define dummy_37							37
#define dummy_38							38
#define dummy_39							39



/*
* ======================================================================================================
* Rename of Interrupt handler				Origin from vector table	Interrupt			Interrupt
* 											@ startup_XMC1200.s			Nodes				Node number
* ======================================================================================================
*/

#define IRQ_Hdlr_Rename_0   				SCU_0_IRQHandler			//	SCU_0_IRQn          =   0
#define IRQ_Hdlr_Rename_1   				SCU_1_IRQHandler			//	SCU_1_IRQn          =   1
#define IRQ_Hdlr_Rename_2   				SCU_2_IRQHandler			//	SCU_2_IRQn          =   2
#define IRQ_Hdlr_Rename_3   				ERU0_0_IRQHandler			//	ERU0_0_IRQn         =   3
#define IRQ_Hdlr_Rename_4   				ERU0_1_IRQHandler			//	ERU0_1_IRQn         =   4
#define IRQ_Hdlr_Rename_5   				ERU0_2_IRQHandler			//	ERU0_2_IRQn         =   5
#define IRQ_Hdlr_Rename_6   				ERU0_3_IRQHandler			//	ERU0_3_IRQn         =   6

#define IRQ_Hdlr_Rename_9   				USIC0_0_IRQHandler			//	USIC0_0_IRQn        =   9
#define IRQ_Hdlr_Rename_10  				USIC0_1_IRQHandler			//	USIC0_1_IRQn        =  10
#define IRQ_Hdlr_Rename_11  				USIC0_2_IRQHandler			//	USIC0_2_IRQn        =  11
#define IRQ_Hdlr_Rename_12  				USIC0_3_IRQHandler			//	USIC0_3_IRQn        =  12
#define IRQ_Hdlr_Rename_13  				USIC0_4_IRQHandler			//	USIC0_4_IRQn        =  13
#define IRQ_Hdlr_Rename_14  				USIC0_5_IRQHandler			//	USIC0_5_IRQn        =  14
#define IRQ_Hdlr_Rename_15  				VADC0_C0_0_IRQHandler		//	VADC0_C0_0_IRQn     =  15
#define IRQ_Hdlr_Rename_16  				VADC0_C0_1_IRQHandler		//	VADC0_C0_1_IRQn     =  16
#define VADC_G0_Source_ISR  				VADC0_G0_0_IRQHandler		//	VADC0_G0_0_IRQn     =  17
#define VADC_G0_Channel_ISR  				VADC0_G0_1_IRQHandler		//	VADC0_G0_1_IRQn     =  18
#define VADC_G1_Result_ISR  				VADC0_G1_0_IRQHandler		//	VADC0_G1_0_IRQn     =  19
#define IRQ_Hdlr_Rename_20		 			VADC0_G1_1_IRQHandler		//	VADC0_G1_1_IRQn     =  20
#define IRQ_Hdlr_Rename_21 	 				CCU40_0_IRQHandler			//	CCU40_0_IRQn        =  21
#define IRQ_Hdlr_Rename_22  				CCU40_1_IRQHandler			//	CCU40_1_IRQn        =  22
#define IRQ_Hdlr_Rename_23  				CCU40_2_IRQHandler			//	CCU40_2_IRQn        =  23
#define IRQ_Hdlr_Rename_24  				CCU40_3_IRQHandler			//	CCU40_3_IRQn        =  24
#define IRQ_Hdlr_Rename_29  				LEDTS0_0_IRQHandler			//	LEDTS0_0_IRQn       =  29
#define IRQ_Hdlr_Rename_30  				LEDTS1_0_IRQHandler			//	LEDTS1_0_IRQn       =  30
#define IRQ_Hdlr_Rename_31  				BCCU0_0_IRQHandler			//	BCCU0_0_IRQn        =  31








#endif /* XMC12_IRQ_H_ */
